@namespace xul url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

/* Variables that start with --gnome- are added by me and are assigned
 * to elements somewhere in this code. The rest of the variables are
 * built-in in Firefox, so you need to add an !important if you wanna
 * override them. */

:root {
	/* Browser area before a page starts loading */
	--gnome-browser-before-load-background: #f5f5f5;
	--theme-primary-color: linear-gradient(150deg, rgba(180,141,255,1) 0%, rgba(0,123,195,1) 10%, rgba(0,195,195,1) 90%, rgba(180,141,255,1) 100%);

	/* Toolbars */
	--gnome-toolbar-background: #ffffff;
	--gnome-tabstoolbar-background: #f2f2f2;
	--gnome-findbar-background: #f5f5f5;
	--gnome-toolbar-color: #666666;
	--gnome-toolbar-border-color: #bbbbbb;
	--gnome-inactive-toolbar-background: #fafafa;
	--gnome-inactive-toolbar-border-color: #cdcdcd;
	--gnome-inactive-tabstoolbar-background: #f0f0f0;

	/* Sidebar */
	--gnome-sidebar-background: #ffffff;
	--gnome-inactive-sidebar-background: #f5f5f5;

	/* Popups */
	--gnome-menu-background: #ffffff;
	--gnome-menu-border-color: #c2c2c2;
	--gnome-popover-background: #ffffff;
	--gnome-popover-border-color: #c2c2c2;
	--gnome-popover-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
	--gnome-popover-button-hover-background: rgba(0, 0, 0, 0.1);
	--gnome-popover-button-active-background: rgba(0, 0, 0, 0.2);
	--gnome-popover-separator-color: rgba(0, 0, 0, 0.1);

	/* Header bar */
	--gnome-headerbar-background: #ffffff;
	--gnome-headerbar-border-color: #dddddd;
	--gnome-headerbar-box-shadow: 0 1px rgba(255, 255, 255, 0.65) inset;
	--gnome-inactive-headerbar-background: #fafafa;
	--gnome-inactive-headerbar-border-color: #dddddd;
	--gnome-inactive-headerbar-box-shadow: 0 1px #fff inset;

	/* Buttons */
	--gnome-button-background: rgba(0, 0, 0, 0.06);
	--gnome-button-border-color: transparent;
	--gnome-button-border-accent-color: #bfbfbf;
	--gnome-headerbar-button-border-color: #cdcdcd;
	--gnome-headerbar-button-border-accent-color: #bfbfbf;
	--gnome-button-box-shadow: inset 0 1px white, 0 1px 2px rgba(0, 0, 0, 0.03);
	--gnome-button-color: rgba(0, 0, 0, 0.75);
	--gnome-button-hover-color: rgba(0, 0, 0, 0.15);
	--gnome-button-active-color: rgba(0, 0, 0, 0.25);
	--gnome-button-hover-background: rgba(0, 0, 0, 0.1);
	--gnome-button-active-background: rgba(0, 0, 0, 0.2);
	--gnome-button-active-border-color: #c6c6c6;
	--gnome-button-active-border-accent-color: #bababa;
	--gnome-button-active-box-shadow: 0 1px rgba(255, 255, 255, 0) inset;
	--gnome-button-disabled-color: rgba(0, 0, 0, 0.3);
	--gnome-button-disabled-background: rgba(0, 0, 0, 0.06);
	--gnome-button-disabled-border-color: #cdcdcd;
	--gnome-button-disabled-box-shadow: inset 0 1px rgba(255, 255, 255, 0);
	--gnome-inactive-button-background: transparent;
	--gnome-inactive-button-border-color: #cdcdcd;
	--gnome-inactive-button-box-shadow: 0 1px rgba(255, 255, 255, 0) inset, 0 1px rgba(255, 255, 255, 0);
	--gnome-button-suggested-action-background: linear-gradient(150deg, rgba(180,141,255,1) 0%, rgba(0,123,195,1) 10%, rgba(0,195,195,1) 90%, rgba(180,141,255,1) 100%);
	--gnome-button-suggested-action-border-color: #1b6acb;
	--gnome-button-suggested-action-border-accent-color: #15539e;
	--gnome-button-suggested-action-box-shadow: inset 0 1px rgba(255, 255, 255, 0.1), 0 1px 2px rgba(0, 0, 0, 0.07);
	--gnome-button-suggested-action-hover-background: linear-gradient(to top, #3584e4, #3987e5 1px);
	--gnome-button-suggested-action-active-background: linear-gradient(150deg, rgba(180,141,255,1) 0%, rgba(0,123,195,1) 10%, rgba(0,195,195,1) 90%, rgba(180,141,255,1) 100%);
	--gnome-button-suggested-action-active-border-color: #1b6acb;
	--gnome-button-suggested-action-active-box-shadow: inset 0 1px rgba(255, 255, 255, 0);
	--gnome-button-destructive-action-background: linear-gradient(to top, #ce1921 2px, #e01b24);
	--gnome-button-destructive-action-border-color: #b2161d;
	--gnome-button-destructive-action-border-accent-color: #851015;
	--gnome-button-destructive-action-box-shadow: inset 0 1px rgba(255, 255, 255, 0.1), 0 1px 2px rgba(0, 0, 0, 0.07);
	--gnome-button-destructive-action-hover-background: linear-gradient(to top, #e01b24, #e41c26 1px);
	--gnome-button-destructive-action-active-background: #a0131a;
	--gnome-button-destructive-action-active-border-color: #b2161d;
	--gnome-button-destructive-action-active-box-shadow: inset 0 1px rgba(255, 255, 255, 0);

	/* URL bar */
	--gnome-urlbar-background: rgba(0, 0, 0, 0.06);
	--gnome-urlbar-border-color: #b6b6b3;
	--gnome-urlbar-box-shadow: none;
	--gnome-urlbar-color: #202020;
	--gnome-inactive-urlbar-background: #f2f2f2;
	--gnome-inactive-urlbar-border-color: #cccccc;
	--gnome-inactive-urlbar-box-shadow: none;
	--gnome-inactive-urlbar-color: #323232;
	--gnome-focused-urlbar-background: #ffffff;
	--gnome-focused-urlbar-border-color: linear-gradient(150deg, rgba(180,141,255,1) 0%, rgba(0,123,195,1) 10%, rgba(0,195,195,1) 90%, rgba(180,141,255,1) 100%);
	--gnome-private-urlbar-background: #eeeeee;

	/* Tabs */
	--gnome-tabbar-tab-background: transparent;
	--gnome-tabbar-tab-color: rgba(75, 75, 75, 0.55);
	--gnome-tabbar-tab-hover-background: rgba(0, 0, 0, 0.08);
	--gnome-tabbar-tab-hover-border-bottom-color: #bbbbbb;
	--gnome-tabbar-tab-hover-color: rgba(75, 75, 75, 0.8);
	--gnome-tabbar-tab-active-background: #ffffff;
	--gnome-tabbar-tab-active-border-bottom-color: #bbbbbb;
	--gnome-tabbar-tab-active-color: rgba(75, 75, 75, 1);
	--gnome-tabbar-tab-active-hover-background: #ffffff;
	--gnome-inactive-tabbar-tab-color: rgba(75, 75, 75, 0.35);
	--gnome-inactive-tabbar-tab-active-background: #fafafa;
	--gnome-inactive-tabbar-tab-active-border-bottom-color: var(--gnome-tabbar-tab-active-border-bottom-color);
	--gnome-inactive-tabbar-tab-active-color: rgba(75, 75, 75, 0.35);

	/* TitleButtons */
	--gnome-titlebutton-min-hover-background: rgba(0, 0, 0, 0.1);
	--gnome-titlebutton-max-hover-background: rgba(0, 0, 0, 0.1);
	--gnome-titlebutton-close-hover-background: rgba(0, 0, 0, 0.1);
	--gnome-titlebutton-min-active-background: rgba(0, 0, 0, 0.2);
	--gnome-titlebutton-max-active-background: rgba(0, 0, 0, 0.2);
	--gnome-titlebutton-close-active-background: rgba(0, 0, 0, 0.2);

	/* Switch */
	--gnome-switch-background: rgba(0, 0, 0, 0.2);
	--gnome-switch-border-color: transparent;
	--gnome-switch-slider-background: #f5f5f5;
	--gnome-switch-slider-active-background: linear-gradient(150deg, rgba(180,141,255,1) 0%, rgba(0,123,195,1) 10%, rgba(0,195,195,1) 90%, rgba(180,141,255,1) 100%);
	--gnome-switch-slider-border-color: transparent;
	--gnome-switch-slider-box-shadow: 1px 1px 2px rgba(0,0,0, 0.35);
	--gnome-switch-slider-hover-box-shadow: 0 0 0 12px rgba(0, 0, 0, 0.15);
	--gnome-switch-slider-active-box-shadow: 1px 1px 2px rgba(152,208,129, 0.75);
	--gnome-switch-slider-active-hover-box-shadow: 0 0 0 12px rgba(152, 208, 129, 0.15);
	--gnome-switch-active-background: #8cb9f3;
	--gnome-switch-active-border-color: transparent;
	--gnome-switch-active-slider-border-color: transparent;

	/* Dirty hacks for replaced symbolic icons, they load from
	 * /usr/share/icons/<theme>/ and on some systems they need to be
	 * inverted, on others they don't, adjusts the filters below to your
	 * needs (you may also adjust icon brightness here). */
	--gnome-convert-icon-to-symbolic-hack-filter: invert(100%) sepia(100%) grayscale(100%) brightness(200%) brightness(85%) invert(100%);
	--gnome-icons-hack-filter: none;
	--gnome-window-icons-hack-filter: invert(30%);
}
